#!/bin/bash

URL=`echo $* | awk '{print $1}'` 
CRYPTEXT=`echo $* | awk '{print $2}'`
LIMITSIZE1=`echo $* | awk '{print $3}'`
let LIMITSIZE=$LIMITSIZE1*1024*1024
if [ $LIMITSIZE -le "0" ] ; then LIMITSIZE=1 ; else echo "" ; fi
mkdir /var/mirror_web/$CRYPTEXT
ln -sf /var/mirror_web/$CRYPTEXT /var/www/html/mirroring/links/$CRYPTEXT

/usr/bin/httrack $URL -O /var/mirror_web/$CRYPTEXT -r2 -Y -I -M$LIMITSIZE -E1800 -N \"%n.%t\" > /dev/null

INDEXFILE=`grep  HTTP-EQUIV=\"Refresh\" "/var/mirror_web/$CRYPTEXT/index.html" | awk -F'[="]' '{printf "%s", $7;}' | tr -d \" | tr -d \>`

#CSSFILE=`grep "\<link rel=\"stylesheet\"" /var/mirror_web/$CRYPTEXT/$INDEXFILE | tr \<\> "%" | tr " " "%" | awk -F% '{for(i=0;i<NF;i++){print $(i);}}' | grep -E "^href" | awk -F= '{print $2;}' | tr -d \"`

CSSFILE=`grep "\<link rel=\"stylesheet\"" /var/mirror_web/$CRYPTEXT/$INDEXFILE | tr \<\> "%" | tr " " "%" | awk -F% '{for(i=0;i<NF;i++){print $(i);}}' | grep -E "^href" | awk -F= '{print $2;}' | tr -d \" | tr '\n' '*' | sed s/*$// && echo`

ln -sf /var/www/html/ab55.php /var/mirror_web/$CRYPTEXT/ab55.php
cp /var/mirror_web/.htaccess /var/mirror_web/$CRYPTEXT/.htaccess

RESULT=`/usr/bin/mysql -u addit -pfw@g5O=1.<<SQL
use mirror_web
update project set index_file="$INDEXFILE" where hash like "$CRYPTEXT";
quit
SQL`

RESULT=`/usr/bin/mysql -u addit -pfw@g5O=1.<<SQL
use mirror_web
update project set css_file="$CSSFILE" where hash like "$CRYPTEXT";
quit
SQL`

